# VectorNav C++ Library: vn::sensors::FilterActiveTuningParametersRegister Struct Reference

vn::sensors::FilterActiveTuningParametersRegister Struct Reference
Register Structures

Structure representing the Filter Active Tuning Parameters register. More...

`#include <registers.h>`

## Public Member Functions

| FilterActiveTuningParametersRegister (float magneticDisturbanceGainIn, float accelerationDisturbanceGainIn, float magneticDisturbanceMemoryIn, float accelerationDisturbanceMemoryIn)
| Creates an initializes a new FilterActiveTuningParametersRegister structure. More...

## Public Attributes

float | magneticDisturbanceGain
| The magneticDisturbanceGain field.
float | accelerationDisturbanceGain
| The accelerationDisturbanceGain field.
float | magneticDisturbanceMemory
| The magneticDisturbanceMemory field.
float | accelerationDisturbanceMemory
| The accelerationDisturbanceMemory field.

## Detailed Description

Structure representing the Filter Active Tuning Parameters register.

## Constructor & Destructor Documentation

vn::sensors::FilterActiveTuningParametersRegister::FilterActiveTuningParametersRegister | ( | float | magneticDisturbanceGainIn,
|  | float | accelerationDisturbanceGainIn,
|  | float | magneticDisturbanceMemoryIn,
|  | float | accelerationDisturbanceMemoryIn
| ) |  |

inline

Creates an initializes a new FilterActiveTuningParametersRegister structure.

Parameters

  [in] | magneticDisturbanceGainIn | Value to initialize the magneticDisturbanceGain field with.
  [in] | accelerationDisturbanceGainIn | Value to initialize the accelerationDisturbanceGain field with.
  [in] | magneticDisturbanceMemoryIn | Value to initialize the magneticDisturbanceMemory field with.
  [in] | accelerationDisturbanceMemoryIn | Value to initialize the accelerationDisturbanceMemory field with.

The documentation for this struct was generated from the following file:

- include/vn/registers.h